Subject: Re: [PATCH 0/9] commit-reach: -Wsign-compare follow-ups

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Dec 2024 11:47:13 -0800

Speaking of -Wsign-compare (cf. [*1*]), we seem to be hitting this
error on linux32 CI job [*2*]:

Error: shallow.c:537:32: comparison of integer expressions of different signedness:
'unsigned int' and 'int' [-Werror=sign-compare]

    537 |  if (!info->pool_count || size > info->end - info->free) {

I didn't dig deeper than this.  After taking three tries to get
'seen' build with linux-meson job (needed merge-fix for ds/backfill
topic, which needed (1) a new built-in hence a new entry in
meson.build, (2) a new test hence a new entry in t/meson.build, and
(3) a new doc hence a new entry in Documentation/meson.build), I am
a bit exhausted right now.

Also breakage of linux-meson job we have at 'master' seems gone,
which probably has to do with your recent update with gitweb thing.

Thanks.

[References]

*1* 

https://staticthinking.wordpress.com/2023/07/25/wsign-compare-is-garbage/

*2*

https://github.com/git/git/actions/runs/12519901432/job/34924707204#step:6:181